Bug 993325 - RFE: lvm should check for raid scrubbing attempts on non raid volumes
RFE: lvm should check for raid scrubbing attempts on non raid volumes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.0
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 15:34 EDT by Corey Marthaler
Modified: 2014-06-17 21:19 EDT (History)
8 users (show)

See Also:
Fixed In Version: lvm2-2.02.102-1.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:17:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2013-08-05 15:34:28 EDT
Description of problem:
[root@qalvm-01 ~]# lvcreate -n linear -L 100M mirror_sanity
  Logical volume "linear" created
[root@qalvm-01 ~]# lvs -a -o +devices
  LV        VG            Attr       LSize    Devices                                              
  linear    mirror_sanity -wi-a----- 100.00m  /dev/vdh2(75)                                        
[root@qalvm-01 ~]# lvchange --syncaction check mirror_sanity/linear
  Failed to retrieve status of mirror_sanity/linear

Version-Release number of selected component (if applicable):
3.10.0-0.rc5.61.el7.x86_64
lvm2-2.02.100-0.110.el7    BUILT: Fri Aug  2 19:27:39 CDT 2013
lvm2-libs-2.02.100-0.110.el7    BUILT: Fri Aug  2 19:27:39 CDT 2013
lvm2-cluster-2.02.100-0.110.el7    BUILT: Fri Aug  2 19:27:39 CDT 2013
device-mapper-1.02.79-0.110.el7    BUILT: Fri Aug  2 19:27:39 CDT 2013
device-mapper-libs-1.02.79-0.110.el7    BUILT: Fri Aug  2 19:27:39 CDT 2013
device-mapper-event-1.02.79-0.110.el7    BUILT: Fri Aug  2 19:27:39 CDT 2013
device-mapper-event-libs-1.02.79-0.110.el7    BUILT: Fri Aug  2 19:27:39 CDT 2013
cmirror-2.02.100-0.110.el7    BUILT: Fri Aug  2 19:27:39 CDT 2013
Comment 2 Jonathan Earl Brassow 2013-09-19 23:36:21 EDT
Patch checked in upstream:

commit 2c41c8b88610bff6a3352b93f6b5c70a3744c817
Author: Jonathan Brassow <jbrassow@redhat.com>
Date:   Thu Sep 19 22:33:01 2013 -0500

    RAID: Don't allow syncaction changes on non-RAID LVs
    
    Don't allow syncaction or other RAID-type messages on non-RAID
    logical volumes.
Comment 4 Corey Marthaler 2014-01-13 12:51:07 EST
Fix verified in the latest rpms.

3.10.0-64.el7.x86_64
lvm2-2.02.103-10.el7    BUILT: Tue Jan  7 07:44:33 CST 2014
lvm2-libs-2.02.103-10.el7    BUILT: Tue Jan  7 07:44:33 CST 2014
lvm2-cluster-2.02.103-10.el7    BUILT: Tue Jan  7 07:44:33 CST 2014
device-mapper-1.02.82-10.el7    BUILT: Tue Jan  7 07:44:33 CST 2014
device-mapper-libs-1.02.82-10.el7    BUILT: Tue Jan  7 07:44:33 CST 2014
device-mapper-event-1.02.82-10.el7    BUILT: Tue Jan  7 07:44:33 CST 2014
device-mapper-event-libs-1.02.82-10.el7    BUILT: Tue Jan  7 07:44:33 CST 2014
device-mapper-persistent-data-0.2.8-2.el7    BUILT: Wed Oct 30 10:20:48 CDT 2013
cmirror-2.02.103-10.el7    BUILT: Tue Jan  7 07:44:33 CST 2014


[root@host-052 ~]# lvs -a -o +devices
  LV                VG    Attr       LSize    Log         Cpy%Sync Devices
  linear            test  -wi-a----- 100.00m                       /dev/sda1(0)
  mirror            test  mwi-a-m--- 100.00m  mirror_mlog   100.00 mirror_mimage_0(0),mirror_mimage_1(0)
  [mirror_mimage_0] test  iwi-aom--- 100.00m                       /dev/sda1(50)
  [mirror_mimage_1] test  iwi-aom--- 100.00m                       /dev/sdb1(0)
  [mirror_mlog]     test  lwi-aom---   4.00m                       /dev/sdh1(0)
  stripe            test  -wi-a----- 100.00m                       /dev/sda1(25)
[root@host-052 ~]# lvchange --syncaction check test/linear
  test/linear must be a RAID logical volume to perform this action.
[root@host-052 ~]# lvchange --syncaction check test/stripe
  test/stripe must be a RAID logical volume to perform this action.
[root@host-052 ~]# lvchange --syncaction check test/mirror
  test/mirror must be a RAID logical volume to perform this action.
Comment 5 Ludek Smid 2014-06-13 05:17:28 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.